Emitted when a RealTimeModel's version changes. Subscribe to this directly on a RealTimeModel rather than a RealTimeElement within.

Note that on a local change, this won't be fired until the version is updated on the server and a response message sent back to the client.

### Hierarchy

- VersionChangedEvent

### Implements

- IModelEvent

## Index

### Properties

- name
- src
- version
- NAME

## Properties

### name

name: string = VersionChangedEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: ObservableModel

Implementation of IModelEvent.src

The RealTimeModel or HistoricalModel whose version just changed

### version

version: number

### StaticNAME

NAME: "version_changed" = "version_changed"